/*
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
*/


@media (min-width: 992px) {
    .upload-label {
        width: 40%;
        margin-right: 15px;
    }
    .upload-label~* {
        width: 100%;
    }
    .upload-buttons {
        margin-bottom: 10px;
    }
    .documents {
        margin-top: 10px;
    }
}

.upload-buttons .fa {
    margin-right: 6px;
}

#fileUploadLabel {
    margin-right: 6px;
}

input[type="file"] {
    display: none;
}

.documents {
    width: 100%;
}

.documents table tr {
    border: 1px solid #ddd;
    border-radius: 3px;
}

.documents table td {
    border: 0;
}

.documents table tr:nth-child(odd) {
    background-color: #f5f8fc;
}

.documents table tr:hover {
    background-color: #eee;
}

.documents .document-name {
    cursor: pointer;
    width: 100%;
}

.documents .document-buttons {
    float: right;
    min-width: 58px;
}

.documents .document-buttons span {
    margin-right: 8px;
    cursor: pointer;
}

.documents .document-buttons .remove {
    color: #d9534f;
}

.documents .document-buttons .remove:hover {
    color: #ac2925;
}

.documents .document-buttons .download {
    color: #337ab7;
}

.documents .document-buttons .download:hover {
    color: #286090;
}

.dropzone {
    border: 3px dashed #ccc;
    border-radius: 4px;
    height: 80px;
    font-weight: bold;
}

.dropzone-active {
    border-color: #66afe9;
    outline: 0;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(102, 175, 233, .6);
    background: #dedcdc26;
}

.droptext {
    display: -webkit-flex;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: center;
    color: #ccc;
}
